BEGIN ~LENNAN~

IF ~PartyHasItem("amulds09")
~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO 1
  IF ~~ THEN REPLY @2 GOTO 2
END

IF ~~ THEN BEGIN 1
  SAY @3
  IF ~~ THEN DO ~AddexperienceParty(3000)
ReputationInc(1)
TakePartyItem("amulds09")
GiveItem("CULTR01",LastTalkedToBy)
EscapeArea() %ERASEJOURNALENTRY_20001%~ %SOLVED_JOURNAL% @20002 EXIT
END

IF ~~ THEN BEGIN 2
  SAY @5
  IF ~~ THEN DO ~AddexperienceParty(2000)
TakePartyItem("amulds09")
GiveItem("CULTR01",LastTalkedToBy)
EscapeArea() %ERASEJOURNALENTRY_20001%~ %SOLVED_JOURNAL% @20003 EXIT
END

IF ~!PartyHasItem("amulds09")
~ THEN BEGIN 3
  SAY @7
  IF ~~ THEN EXIT
END
